package com.zd.laboratory.domain;

import javax.validation.constraints.NotNull;

import com.zd.common.core.valid.ValidGroup;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 信用合格分设置对象 lab_cedit_score_site
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("信用合格分设置")
public class LabCeditScoreSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 合格分 */
    @Excel(name = "合格分")
    @Length(message = "合格分长度不能超过255")
    @ApiModelProperty(value = "合格分")
    private String passScore;
    /** 是否需要获得安全准入证书,0:是,1:否 */
    @Excel(name = "是否需要获得安全准入证书,0:是,1:否")
    @NotNull(groups = ValidGroup.Crud.Create.class,message = "是否需要获得安全准入证书,0:是,1:否不能为空")
    @ApiModelProperty(value = "是否需要获得安全准入证书,0:是,1:否")
    private Long getCondition;

    private int getQualifications;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPassScore(String passScore) 
    {
        this.passScore = passScore;
    }

    public String getPassScore() 
    {
        return passScore;
    }
    public void setGetCondition(Long getCondition) 
    {
        this.getCondition = getCondition;
    }

    public Long getGetCondition() 
    {
        return getCondition;
    }


    public int getGetQualifications() {
        return getQualifications;
    }

    public void setGetQualifications(int getQualifications) {
        this.getQualifications = getQualifications;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("passScore", getPassScore())
            .append("getCondition", getGetCondition())
            .toString();
    }
}
